Ask Your Question

Revision history [back]

Thanks Manoj to write why '/usr/bin/yum -d 0 -e 0 -y list mongodb-server' fails.

This is temporary workaround details. (Ceilometer enabled)


You need to download below packages from out of sync EPEL repo manually, like http://ftp.is.co.za/mirror/fedora.redhat.com/epel/6/x86_64/

  • mongodb-2.4.6-1.el6.x86_64.rpm
  • mongodb-server-2.4.6-1.el6.x86_64.rpm

And you need to download below packages from anywhere EPEL repo manually, like http://dl.fedoraproject.org/pub/epel/6/x86_64/

  • gperftools-libs-2.0-11.el6.3.x86_64.rpm
  • v8-3.14.5.10-9.el6.x86_64.rpm
  • libunwind-1.1-2.el6.x86_64.rpm

Install dependency packages, and run packstack.

[root@localhost ~]# yum install -y boost-thread boost-filesystem boost-program-options boost-system boost-iostreams libpcap snappy libicu
[root@localhost ~]# rpm -ivh mongodb-2.4.6-1.el6.x86_64.rpm mongodb-server-2.4.6-1.el6.x86_64.rpm gperftools-libs-2.0-11.el6.3.x86_64.rpm v8-3.14.5.10-9.el6.x86_64.rpm libunwind-1.1-2.el6.x86_64.rpm
[root@localhost ~]# packstack --allinone

(After packstack, EPEL repo setting (/etc/yum.repos.d/epel.repo) will be added.)